[package]
name = "mech-time"
version = "0.1.0"
authors = ["Corey Montella <corey@mech-lang.org>"]
description = "Time library for the Mech language"
documentation = "http://docs.mech-lang.org"
homepage = "https://mech-lang.org"
repository = "https://github.com/mech-machines/time"
keywords = ["mech", "language", "programming"]
license = "Apache-2.0"
readme = "README.md"

[badges]
gitlab = { repository = "mech-lang/machines/time", branch = "main" }
maintenance = { status = "actively-developed" }

[lib]
crate-type = ["dylib", "rlib"]

[dependencies]
mech-core = {git = "https://gitlab.com/mech-lang/core", branch="v0.1-beta"}
mech-utilities = {git = "https://gitlab.com/mech-lang/utilities", branch="v0.1-beta"}

time = "0.3.17"
crossbeam-channel = "0.5.6"
lazy_static = "1.4.0"